Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419709 - [abrt] gnome-software: allocator_memfree(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: allocator_memfree(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6a507cbd5b1cb72ed80086af4c1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 19:59 UTC by Marcos Paulo
Modified: 2017-12-12 10:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:28:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (66.04 KB, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: cgroup (148 bytes, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: core_backtrace (8.16 KB, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: dso_list (15.97 KB, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: environ (1.83 KB, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: maps (74.03 KB, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: mountinfo (3.57 KB, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: open_fds (4.54 KB, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details
File: var_log_messages (392 bytes, text/plain)
2017-02-06 20:00 UTC, Marcos Paulo
no flags Details

Description Marcos Paulo 2017-02-06 19:59:55 UTC
Version-Release number of selected component:
gnome-software-3.22.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: allocator_memfree
executable:     /usr/bin/gnome-software
global_pid:     1747
kernel:         4.9.6-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 allocator_memfree at gslice.c:1444
 #4 slab_allocator_free_chunk at gslice.c:1376
 #5 magazine_cache_trim at gslice.c:679
 #6 magazine_cache_push_magazine at gslice.c:710
 #7 thread_memory_magazine2_unload at gslice.c:809
 #8 g_slice_free1 at gslice.c:1118
 #9 g_ptr_array_foreach at garray.c:1502
 #10 ptr_array_free at garray.c:1088
 #11 g_ptr_array_unref at garray.c:1036
 #12 as_content_rating_finalize at as-content-rating.c:63

Comment 1 Marcos Paulo 2017-02-06 20:00:02 UTC
Created attachment 1248160 [details]
File: backtrace

Comment 2 Marcos Paulo 2017-02-06 20:00:03 UTC
Created attachment 1248161 [details]
File: cgroup

Comment 3 Marcos Paulo 2017-02-06 20:00:05 UTC
Created attachment 1248162 [details]
File: core_backtrace

Comment 4 Marcos Paulo 2017-02-06 20:00:07 UTC
Created attachment 1248163 [details]
File: dso_list

Comment 5 Marcos Paulo 2017-02-06 20:00:09 UTC
Created attachment 1248164 [details]
File: environ

Comment 6 Marcos Paulo 2017-02-06 20:00:10 UTC
Created attachment 1248165 [details]
File: exploitable

Comment 7 Marcos Paulo 2017-02-06 20:00:12 UTC
Created attachment 1248166 [details]
File: limits

Comment 8 Marcos Paulo 2017-02-06 20:00:15 UTC
Created attachment 1248167 [details]
File: maps

Comment 9 Marcos Paulo 2017-02-06 20:00:17 UTC
Created attachment 1248168 [details]
File: mountinfo

Comment 10 Marcos Paulo 2017-02-06 20:00:19 UTC
Created attachment 1248169 [details]
File: namespaces

Comment 11 Marcos Paulo 2017-02-06 20:00:20 UTC
Created attachment 1248170 [details]
File: open_fds

Comment 12 Marcos Paulo 2017-02-06 20:00:22 UTC
Created attachment 1248171 [details]
File: proc_pid_status

Comment 13 Marcos Paulo 2017-02-06 20:00:23 UTC
Created attachment 1248172 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:39:45 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:28:14 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.